aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorBjörn Gustavsson <[email protected]>2016-12-15 11:53:52 +0100
committerBjörn Gustavsson <[email protected]>2016-12-15 11:53:52 +0100
commitad2cd9e1db72dfccbd72a057b58bb90c6e000ca5 (patch)
tree7e167dbb2f9fe8e1aca9137bdee8332dbe3b9349 /scripts
parentc2a8b35fef671321509bfaf4f607fa83fd0ccdbe (diff)
parent200f19dc582e33a6f811b05e3deec987fc67915a (diff)
downloadotp-ad2cd9e1db72dfccbd72a057b58bb90c6e000ca5.tar.gz
otp-ad2cd9e1db72dfccbd72a057b58bb90c6e000ca5.tar.bz2
otp-ad2cd9e1db72dfccbd72a057b58bb90c6e000ca5.zip
Merge branch 'maint'
* maint: Create CONTRIBUTING.md (#1278) Make sure that Travis fails when test cases fail Don't include problematic test cases in smoke test
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/run-smoke-tests10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/run-smoke-tests b/scripts/run-smoke-tests
new file mode 100755
index 0000000000..c2333e7825
--- /dev/null
+++ b/scripts/run-smoke-tests
@@ -0,0 +1,10 @@
+#!/bin/bash
+set -ev
+
+cd $ERL_TOP/release/tests/test_server
+$ERL_TOP/bin/erl -s ts install -s ts smoke_test batch -s init stop
+
+if grep -q '=failed *[1-9]' ct_run.test_server@*/*/run.*/suite.log; then
+ echo "One or more tests failed."
+ exit 1
+fi